Subject: bug#63427: gdk-pixbuf unable to recognize image formats (JPG, PNG, etc.)

From: Nathan Dehnel <[email-masked]>
Date: Mon, 15 May 2023 00:18:45 -0500

With another update, the errors went away. Thanks

On Sat, May 13, 2023, 13:38 pelzflorian (Florian Pelz) <
[email-masked]> wrote:

> Hi Liliana and all.  Until now the user could decide what image loaders
> to install alongside.  Or so I thought.  However, surprisingly I cannot
> get any other loader except gdk-pixbuf and librsvg to work anyway.
>
> That is,
>
> guix shell viewnior webp-pixbuf-loader
>
> surprisingly does not see webp files.  I do not understand.
>
> If this changed patch looks fine, now with proper gexp use, I will push
> it.  The patch continues to include gdk-pixbuf among the inputs even
> though gtk+@2 propagates gdk-pixbuf anyway, but better be explicit.
>
> Regards,
> Florian
>